- name: Quang Ngai
  names:
  - Quang Ngai
  code: "29"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.7604
    minlatitude: 15.092616
    maxlongitude: 108.92295
    maxlatitude: 15.216273
    latitude: 15.1213875
    longitude: 108.80441
- name: Khanh Hoa
  names:
  - Khanh Hoa
  code: "34"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.671524
    minlatitude: 11.804567
    maxlongitude: 109.46154
    maxlatitude: 12.865589
    latitude: 12.25851
    longitude: 109.052605
- name: Lam Dong
  names:
  - Lam Dong
  code: "35"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.310776
    minlatitude: 11.805186
    maxlongitude: 108.59067
    maxlatitude: 12.002635
    latitude: 11.940419
    longitude: 108.45831
- name: Tien Giang
  names:
  - Tien Giang
  code: "46"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.81961
    minlatitude: 10.213442
    maxlongitude: 106.78853
    maxlatitude: 10.5871
    latitude: 10.449332
    longitude: 106.34205
- name: Bac Giang
  names:
  - Bac Giang
  code: "54"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.88173
    minlatitude: 21.121761
    maxlongitude: 107.033035
    maxlatitude: 21.625654
    latitude: 21.301495
    longitude: 106.62913
- name: Son La
  names:
  - Son La
  code: "05"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 103.80844
    minlatitude: 21.223782
    maxlongitude: 104.036064
    maxlatitude: 21.417276
    latitude: 21.327034
    longitude: 103.91413
- name: Ha Tay
  names:
  - Ha Tay
  code: "15"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.04258
    minlatitude: 14.209765
    maxlongitude: 108.215675
    maxlatitude: 14.38898
    latitude: 14.29597
    longitude: 108.11915
- name: Ha Tinh
  names:
  - Ha Tinh
  code: "23"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.108635
    minlatitude: 17.915977
    maxlongitude: 106.5042
    maxlatitude: 18.762615
    latitude: 18.294378
    longitude: 105.67452
- name: Phu Tho
  names:
  - Phu Tho
  code: "68"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.81636
    minlatitude: 20.917282
    maxlongitude: 105.45792
    maxlatitude: 21.719738
    latitude: 21.268442
    longitude: 105.20456
- name: Bac Lieu
  names:
  - Bac Lieu
  code: "55"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.23326
    minlatitude: 8.5951395
    maxlongitude: 106.74339
    maxlatitude: 9.637119
    latitude: 9.251555
    longitude: 105.51365
- name: Binh Duong
  names:
  - Binh Duong
  code: "57"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.33573
    minlatitude: 10.863635
    maxlongitude: 106.967674
    maxlatitude: 11.500002
    latitude: 11.325402
    longitude: 106.47702
- name: Da Nang, thanh pho
  names:
  - Da Nang, thanh pho
  code: "60"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.17799
    minlatitude: 15.999203
    maxlongitude: 108.23542
    maxlatitude: 16.094145
    latitude: 16.054407
    longitude: 108.20216
- name: Bac Can
  names:
  - Bac Can
  code: "53"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.77671
    minlatitude: 22.051914
    maxlongitude: 105.93086
    maxlatitude: 22.211563
    latitude: 22.132904
    longitude: 105.840775
- name: Hai Duong
  names:
  - Hai Duong
  code: "61"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.126305
    minlatitude: 20.691177
    maxlongitude: 106.612755
    maxlatitude: 21.231167
    latitude: 20.938597
    longitude: 106.32069
- name: Hoa Binh
  names:
  - Hoa Binh
  code: "14"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.835
    minlatitude: 20.30479
    maxlongitude: 105.8612
    maxlatitude: 21.112617
    latitude: 20.686127
    longitude: 105.31312
- name: Binh Thuan
  names:
  - Binh Thuan
  code: "40"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.99044
    minlatitude: 10.771285
    maxlongitude: 108.355896
    maxlatitude: 11.023803
    latitude: 10.933333
    longitude: 108.1
- name: Soc Trang
  names:
  - Soc Trang
  code: "52"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.54399
    minlatitude: 9.2386675
    maxlongitude: 106.29305
    maxlatitude: 9.933211
    latitude: 9.6003685
    longitude: 105.95995
- name: Kien Giang
  names:
  - Kien Giang
  code: "47"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.32232
    minlatitude: 9.381123
    maxlongitude: 105.538956
    maxlatitude: 10.538596
    latitude: 9.824959
    longitude: 105.12589
- name: Hai Phong, thanh pho
  names:
  - Hai Phong, thanh pho
  code: "62"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.637596
    minlatitude: 20.81421
    maxlongitude: 106.7599
    maxlatitude: 20.879263
    latitude: 20.844912
    longitude: 106.68809
- name: Thai Nguyen
  names:
  - Central Highlands
  code: "69"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.47713
    minlatitude: 21.324608
    maxlongitude: 106.23657
    maxlatitude: 22.04727
    latitude: 21.561377
    longitude: 105.87601
- name: Hau Giang
  names:
  - Hau Giang
  code: "73"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.32869
    minlatitude: 9.582083
    maxlongitude: 105.89343
    maxlatitude: 9.992814
    latitude: 9.757898
    longitude: 105.64125
- name: Quang Binh
  names:
  - Quang Binh
  code: "24"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.61793
    minlatitude: 16.924025
    maxlongitude: 106.99522
    maxlatitude: 18.08987
    latitude: 17.610271
    longitude: 106.34875
- name: Thua Thien-Hue
  names:
  - Thua Thien-Hue
  code: "26"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.01677
    minlatitude: 15.994803
    maxlongitude: 108.192566
    maxlatitude: 16.741354
    latitude: 16.467398
    longitude: 107.59053
- name: Phu Yen
  names:
  - Phu Yen
  code: "32"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.672806
    minlatitude: 12.705112
    maxlongitude: 109.458824
    maxlatitude: 13.694343
    latitude: 13.088186
    longitude: 109.09287
- name: Yen Bai
  names:
  - Yen Bai
  code: "06"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 103.887405
    minlatitude: 21.327345
    maxlongitude: 105.10092
    maxlatitude: 22.29108
    latitude: 21.683792
    longitude: 104.45514
- name: Ninh Thuan
  names:
  - Ninh Thuan
  code: "36"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 108.55301
    minlatitude: 11.307036
    maxlongitude: 109.237946
    maxlatitude: 12.163288
    latitude: 11.673877
    longitude: 108.86296
- name: Thai Binh
  names:
  - Thai Binh
  code: "20"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.29624
    minlatitude: 20.399784
    maxlongitude: 106.39306
    maxlatitude: 20.5061
    latitude: 20.446346
    longitude: 106.336586
- name: Vinh Phuc
  names:
  - Vinh Phuc
  code: "70"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.32297
    minlatitude: 21.10479
    maxlongitude: 105.78972
    maxlatitude: 21.573347
    latitude: 21.36088
    longitude: 105.54744
- name: Lang Son
  names:
  - Lang Son
  code: "09"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.094826
    minlatitude: 21.324594
    maxlongitude: 107.37049
    maxlatitude: 22.461317
    latitude: 21.85637
    longitude: 106.62913
- name: Ba Ria - Vung Tau
  names:
  - Ba Ria - Vung Tau
  code: "43"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.99804
    minlatitude: 10.3202095
    maxlongitude: 107.58302
    maxlatitude: 10.803947
    latitude: 10.541739
    longitude: 107.243
- name: Dien Bien
  names:
  - Dien Bien
  code: "71"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 102.14821
    minlatitude: 20.869232
    maxlongitude: 103.60033
    maxlatitude: 22.556343
    latitude: 21.804232
    longitude: 103.10765
- name: Ho Chi Minh, thanh pho [Sai Gon]
  names:
  - Ho Chi Minh, thanh pho [Sai Gon]
  code: "65"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.36388
    minlatitude: 10.376689
    maxlongitude: 107.02485
    maxlatitude: 11.160213
    latitude: 10.823099
    longitude: 106.62966
- name: Nghe An
  names:
  - Nghe An
  code: "22"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 103.87626
    minlatitude: 18.553165
    maxlongitude: 105.80664
    maxlatitude: 19.999296
    latitude: 19.23425
    longitude: 104.92004
- name: Dac Lac
  names:
  - Dac Lac
  code: "33"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.48928
    minlatitude: 12.16056
    maxlongitude: 108.99451
    maxlatitude: 13.416226
    latitude: 12.7100115
    longitude: 108.237755
- name: Bac Ninh
  names:
  - Bac Ninh
  code: "56"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.904144
    minlatitude: 20.969551
    maxlongitude: 106.30895
    maxlatitude: 21.263603
    latitude: 21.121445
    longitude: 106.11105
- name: Ben Tre
  names:
  - Ben Tre
  code: "50"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.01477
    minlatitude: 9.808341
    maxlongitude: 106.79763
    maxlatitude: 10.337317
    latitude: 10.108155
    longitude: 106.44059
- name: Ninh Binh
  names:
  - Ninh Binh
  code: "18"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.54247
    minlatitude: 19.962822
    maxlongitude: 106.16854
    maxlatitude: 20.455235
    latitude: 20.212997
    longitude: 105.92299
- name: Tay Ninh
  names:
  - Tay Ninh
  code: "37"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.07197
    minlatitude: 11.291211
    maxlongitude: 106.19097
    maxlatitude: 11.438932
    latitude: 11.367541
    longitude: 106.11928
- name: Dong Nai
  names:
  - Dong Nai
  code: "39"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.75275
    minlatitude: 10.582153
    maxlongitude: 107.57478
    maxlatitude: 11.581494
    latitude: 11.06863
    longitude: 107.167595
- name: Can Tho
  names:
  - Can Tho
  code: "48"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.71706
    minlatitude: 9.993703
    maxlongitude: 105.79593
    maxlatitude: 10.074602
    latitude: 10.045162
    longitude: 105.74686
- name: Tra Vinh
  names:
  - Tra Vinh
  code: "51"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.300255
    minlatitude: 9.886757
    maxlongitude: 106.388336
    maxlatitude: 10.012649
    latitude: 9.933333
    longitude: 106.35
- name: Ca Mau
  names:
  - Ca Mau
  code: "59"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.52293
    minlatitude: 8.412729
    maxlongitude: 105.4185
    maxlatitude: 9.55968
    latitude: 8.96241
    longitude: 105.12589
- name: Quang Tri
  names:
  - Quang Tri
  code: "25"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.55343
    minlatitude: 16.302395
    maxlongitude: 107.38833
    maxlatitude: 17.16555
    latitude: 16.794348
    longitude: 106.96341
- name: Binh Dinh
  names:
  - Binh Dinh
  code: "31"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 109.13252
    minlatitude: 13.669688
    maxlongitude: 109.30001
    maxlatitude: 13.899993
    latitude: 13.782968
    longitude: 109.219666
- name: Binh Phuoc
  names:
  - Binh Phuoc
  code: "58"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.41796
    minlatitude: 11.300705
    maxlongitude: 107.42825
    maxlatitude: 12.29071
    latitude: 11.751189
    longitude: 106.723465
- name: Hung Yen
  names:
  - Hung Yen
  code: "66"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.895485
    minlatitude: 20.602892
    maxlongitude: 106.26935
    maxlatitude: 21.00616
    latitude: 20.852571
    longitude: 106.017
- name: Quang Ninh
  names:
  - Quang Ninh
  code: "13"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.43968
    minlatitude: 20.71646
    maxlongitude: 108.0736
    maxlatitude: 21.66549
    latitude: 21.006382
    longitude: 107.29251
- name: Gia Lai
  names:
  - Gia Lai
  code: "30"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.33922
    minlatitude: 12.996227
    maxlongitude: 108.87276
    maxlatitude: 14.602364
    latitude: 13.807895
    longitude: 108.109375
- name: Ha Nam
  names:
  - Ha Nam
  code: "63"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.76972
    minlatitude: 20.362679
    maxlongitude: 106.183105
    maxlatitude: 20.703745
    latitude: 20.583519
    longitude: 105.92299
- name: Lai Chau
  names:
  - Lai Chau
  code: "01"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 102.32747
    minlatitude: 21.684736
    maxlongitude: 103.985245
    maxlatitude: 22.821474
    latitude: 22.368662
    longitude: 103.311905
- name: Nam Dinh
  names:
  - Nam Dinh
  code: "67"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.924065
    minlatitude: 19.968296
    maxlongitude: 106.564964
    maxlatitude: 20.499666
    latitude: 20.27918
    longitude: 106.20515
- name: Vinh Long
  names:
  - Vinh Long
  code: "49"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.87776
    minlatitude: 10.219146
    maxlongitude: 105.99747
    maxlatitude: 10.275989
    latitude: 10.244844
    longitude: 105.95886
- name: Dak Nong
  names:
  - Dak Nong
  code: "72"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.20791
    minlatitude: 11.748865
    maxlongitude: 108.11593
    maxlatitude: 12.811713
    latitude: 12.2646475
    longitude: 107.6098
- name: Lao Cai
  names:
  - Lao Cai
  code: "02"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 103.52952
    minlatitude: 21.87722
    maxlongitude: 104.62644
    maxlatitude: 22.848793
    latitude: 22.338087
    longitude: 104.148705
- name: Cao Bang
  names:
  - Cao Bang
  code: "04"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.2725
    minlatitude: 22.35741
    maxlongitude: 106.82632
    maxlatitude: 23.118622
    latitude: 22.635689
    longitude: 106.25221
- name: Thanh Hoa
  names:
  - Thanh Hoa
  code: "21"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.37835
    minlatitude: 19.286676
    maxlongitude: 106.075836
    maxlatitude: 20.670815
    latitude: 20.129128
    longitude: 105.31312
- name: Dong Thap
  names:
  - Dong Thap
  code: "45"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.188736
    minlatitude: 10.138769
    maxlongitude: 105.9442
    maxlatitude: 10.966469
    latitude: 10.493799
    longitude: 105.68818
- name: Ha Noi, thu do
  names:
  - Ha Noi, thu do
  code: "64"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 105.79748
    minlatitude: 20.9951
    maxlongitude: 105.87645
    maxlatitude: 21.050295
    latitude: 21.027765
    longitude: 105.83416
- name: Ha Giang
  names:
  - Ha Giang
  code: "03"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.33615
    minlatitude: 22.166517
    maxlongitude: 105.57524
    maxlatitude: 23.388834
    latitude: 22.766205
    longitude: 104.93889
- name: Quang Nam
  names:
  - Quang Nam
  code: "27"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.21779
    minlatitude: 14.951885
    maxlongitude: 108.73799
    maxlatitude: 16.066076
    latitude: 15.539353
    longitude: 108.019104
- name: An Giang
  names:
  - An Giang
  code: "44"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.77752
    minlatitude: 10.1825
    maxlongitude: 105.57193
    maxlatitude: 10.9559355
    latitude: 10.521584
    longitude: 105.12589
- name: Tuyen Quang
  names:
  - Tuyen Quang
  code: "07"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 104.84857
    minlatitude: 21.501762
    maxlongitude: 105.5974
    maxlatitude: 22.694384
    latitude: 22.17267
    longitude: 105.31312
- name: Kon Tum
  names:
  - Kon Tum
  code: "28"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 107.852394
    minlatitude: 14.230774
    maxlongitude: 108.08804
    maxlatitude: 14.454961
    latitude: 14.34974
    longitude: 108.00046
- name: Long An
  names:
  - Long An
  code: "41"
  countryalpha2: VN
  coordinates:
    longitudestring: ""
    latitudestring: ""
    minlongitude: 106.34671
    minlatitude: 10.475743
    maxlongitude: 106.4601
    maxlatitude: 10.575403
    latitude: 10.53301
    longitude: 106.40525
